%define name 		mountiso-servicemenu
%define origname 	mountiso
%define version 	0.9.5.2
%define release     	%mkrel 1
%define group 		Graphical desktop/KDE
%define arch 		noarch
#define distro 	%(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)


Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		%{group}

Summary: 	MountISO - ISO Imager Mounter
Summary(de):	MountISO - Ein ISO-Image mount Servicemenü

Source0: 	%{origname}-%{version}.tar.bz2 
# provide with kdesu and all requires + suggests insalled

Url: 		http://www.kde-apps.org/content/show.php/MountISO?content=11577
BuildRoot: 	%{_tmppath}/%{origname}-%{version}-buildroot

#Conflicts:
Obsoletes:	%{origname}
#BuildRequires:	
Requires:	bchunk kdebase4
#Requires:	kde-rootactions-servicemenu

Suggests:	b5i2iso bin2iso cdi2iso
Suggests:	mdf2iso nrg2iso pdi2iso
Suggests:	ccd2iso cdemu extract-xiso

#können optional sein wenn Script nur mit installierten bchunk & mdf2iso extrahiert wird funktionirt nur mount/unmount Funktion

%description
Mount ISO Image is an advanced script which allows to perform multiple operations with ISO, NRG (Nero Burning ROM), UDF (DVD), CUE/BIN, CCD/IMG/SUB (CloneCD), XDVDFS (XBOX) and MDF images.
Optionally can be installed the packages “ccd2iso, cdemu and extract-xiso”.

Translations
------------
- German (by Markus Bloch)
- Italian (by marcosegato)
- Russian (by Jinjiru)
- Serbian (by Mladen Pejaković)
- Spanish (by Javier Ariza Rodríguez & Alberto Garcia)
- Turkish (by Atilla Öntaş)

%description -l de
MountISO ist ein Servicemenü-Script, das mehrfache operation mit ISO-, NRG (Nero, Burning ROM brennt), UDF (DVD), CUE/BIN, CCD/IMG/SUB (CloneCD), XDVDFS (XBOX) und MDF Images durchführen kann.

Optional könenn die Pakete "ccd2iso,cdemu und extract-xiso" installiert werden.

Übersetzungen
-------------
- German (by Markus Bloch)
- Italian (by marcosegato)
- Russian (by Jinjiru)
- Serbian (by Mladen Pejaković)
- Spanish (by Javier Ariza Rodríguez & Alberto Garcia)
- Turkish (by Atilla Öntaş)

%prep
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT

tar xvjf %{SOURCE0} -C $RPM_BUILD_ROOT
ln -s %{_libdir}/kde4/libexec/kdesu  $RPM_BUILD_ROOT/%{_bindir}/kdesu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/kde4/services/ServiceMenus/*.desktop
%attr(0644,root,root) %config(noreplace) %{_datadir}/mimelnk/application/*.desktop

%changelog
* Sat Jul 4 2010 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 
- Rebuild for Mandriva 2010.1

* Thu Nov 5 2009 Dal Magro Maurizio <mauriziodm@mandrivaclub.be>
- Build for Mandriva 2010.0

* Sun May 31 2009 Dal Magro Maurizio <mauriziodm@mancdrivaclub.be>
- New Source0 0.9.5.2
- Fixed confict with installed KIso

* Wed May 27 2009 Dal Magro Maurizio <mauriziodm@mancdrivaclub.be>
- Bbuild Mandriva 2009.1 - KDE 4
- New Source0 0.9.5.1 adapted for KDE 4

* Sat Mar 22 2008 maik3531 <maik3531@web.de> 0.9.5-1pclos2007
- rebuild to PCLinuxOS
- provide a new Source0
- add description -l de & summary de

* Fri Mar 21 2008 Erkan Kaplan <erkan@linux-sevenler.org>
- First build 
